package com.gingersoft.gsa.cloud.bean.app.payment.bean;

/**
 * 作者：ELEGANT_BIN
 * 版本：1.6.0
 * 创建日期：2019-11-07
 * 修订历史：2019-11-07
 * 描述：
 */
public class RetrievalRespose {

    private String EVENT_NAME;
    private String TXN_TYPE;
    private String TXN_ID;
    private String STATUS ;

    //仅当STATUS = 00时才返回以下字段
    private String TXN_STATUS ;
    private String TXN_AMT ;
    private double TIPS  ;
    private String PAYMENT_TYPE ;
    private String RESP_CODE;
    private String LOYALTY_TYPE;
    private String CAMPAIGN_ID;
    private String TRACE_NO;
    private String TXN_DATE;
    private String TXN_TIME;
    private String HOST_REF;
    private String COUPON_ID;
    private String AUTH_CODE;
    private int TENDER ;
    private double AUTH_AMT;
    private double DISCOUNT ;
    private String LOCAL_CUR;
    private String FOREIGN_CUR;
    private double FXRATE ;
    private double FOREIGN_AMT;
    private String MID ;
    private String TID ;
    private String PAN  ;
    private String EXPIRY_DATE ;


    public String getEVENT_NAME() {
        return EVENT_NAME;
    }

    public void setEVENT_NAME(String EVENT_NAME) {
        this.EVENT_NAME = EVENT_NAME;
    }

    public String getTXN_TYPE() {
        return TXN_TYPE;
    }

    public void setTXN_TYPE(String TXN_TYPE) {
        this.TXN_TYPE = TXN_TYPE;
    }

    public String getTXN_ID() {
        return TXN_ID;
    }

    public void setTXN_ID(String TXN_ID) {
        this.TXN_ID = TXN_ID;
    }

    public String getSTATUS() {
        return STATUS;
    }

    public void setSTATUS(String STATUS) {
        this.STATUS = STATUS;
    }

    public String getTXN_STATUS() {
        return TXN_STATUS;
    }

    public void setTXN_STATUS(String TXN_STATUS) {
        this.TXN_STATUS = TXN_STATUS;
    }

    public String getTXN_AMT() {
        return TXN_AMT;
    }

    public void setTXN_AMT(String TXN_AMT) {
        this.TXN_AMT = TXN_AMT;
    }

    public double getTIPS() {
        return TIPS;
    }

    public void setTIPS(double TIPS) {
        this.TIPS = TIPS;
    }

    public String getPAYMENT_TYPE() {
        return PAYMENT_TYPE;
    }

    public void setPAYMENT_TYPE(String PAYMENT_TYPE) {
        this.PAYMENT_TYPE = PAYMENT_TYPE;
    }

    public String getRESP_CODE() {
        return RESP_CODE;
    }

    public void setRESP_CODE(String RESP_CODE) {
        this.RESP_CODE = RESP_CODE;
    }

    public String getLOYALTY_TYPE() {
        return LOYALTY_TYPE;
    }

    public void setLOYALTY_TYPE(String LOYALTY_TYPE) {
        this.LOYALTY_TYPE = LOYALTY_TYPE;
    }

    public String getCAMPAIGN_ID() {
        return CAMPAIGN_ID;
    }

    public void setCAMPAIGN_ID(String CAMPAIGN_ID) {
        this.CAMPAIGN_ID = CAMPAIGN_ID;
    }

    public String getTRACE_NO() {
        return TRACE_NO;
    }

    public void setTRACE_NO(String TRACE_NO) {
        this.TRACE_NO = TRACE_NO;
    }

    public String getTXN_DATE() {
        return TXN_DATE;
    }

    public void setTXN_DATE(String TXN_DATE) {
        this.TXN_DATE = TXN_DATE;
    }

    public String getTXN_TIME() {
        return TXN_TIME;
    }

    public void setTXN_TIME(String TXN_TIME) {
        this.TXN_TIME = TXN_TIME;
    }

    public String getHOST_REF() {
        return HOST_REF;
    }

    public void setHOST_REF(String HOST_REF) {
        this.HOST_REF = HOST_REF;
    }

    public String getCOUPON_ID() {
        return COUPON_ID;
    }

    public void setCOUPON_ID(String COUPON_ID) {
        this.COUPON_ID = COUPON_ID;
    }

    public String getAUTH_CODE() {
        return AUTH_CODE;
    }

    public void setAUTH_CODE(String AUTH_CODE) {
        this.AUTH_CODE = AUTH_CODE;
    }

    public int getTENDER() {
        return TENDER;
    }

    public void setTENDER(int TENDER) {
        this.TENDER = TENDER;
    }

    public double getAUTH_AMT() {
        return AUTH_AMT;
    }

    public void setAUTH_AMT(double AUTH_AMT) {
        this.AUTH_AMT = AUTH_AMT;
    }

    public double getDISCOUNT() {
        return DISCOUNT;
    }

    public void setDISCOUNT(double DISCOUNT) {
        this.DISCOUNT = DISCOUNT;
    }

    public String getLOCAL_CUR() {
        return LOCAL_CUR;
    }

    public void setLOCAL_CUR(String LOCAL_CUR) {
        this.LOCAL_CUR = LOCAL_CUR;
    }

    public String getFOREIGN_CUR() {
        return FOREIGN_CUR;
    }

    public void setFOREIGN_CUR(String FOREIGN_CUR) {
        this.FOREIGN_CUR = FOREIGN_CUR;
    }

    public double getFXRATE() {
        return FXRATE;
    }

    public void setFXRATE(double FXRATE) {
        this.FXRATE = FXRATE;
    }

    public double getFOREIGN_AMT() {
        return FOREIGN_AMT;
    }

    public void setFOREIGN_AMT(double FOREIGN_AMT) {
        this.FOREIGN_AMT = FOREIGN_AMT;
    }

    public String getMID() {
        return MID;
    }

    public void setMID(String MID) {
        this.MID = MID;
    }

    public String getTID() {
        return TID;
    }

    public void setTID(String TID) {
        this.TID = TID;
    }

    public String getPAN() {
        return PAN;
    }

    public void setPAN(String PAN) {
        this.PAN = PAN;
    }

    public String getEXPIRY_DATE() {
        return EXPIRY_DATE;
    }

    public void setEXPIRY_DATE(String EXPIRY_DATE) {
        this.EXPIRY_DATE = EXPIRY_DATE;
    }

    @Override
    public String toString() {
        return "RetrievalRespose{" +
                "EVENT_NAME='" + EVENT_NAME + '\'' +
                ", TXN_TYPE='" + TXN_TYPE + '\'' +
                ", TXN_ID='" + TXN_ID + '\'' +
                ", STATUS='" + STATUS + '\'' +
                ", TXN_STATUS='" + TXN_STATUS + '\'' +
                ", TXN_AMT='" + TXN_AMT + '\'' +
                ", TIPS=" + TIPS +
                ", PAYMENT_TYPE='" + PAYMENT_TYPE + '\'' +
                ", RESP_CODE='" + RESP_CODE + '\'' +
                ", LOYALTY_TYPE='" + LOYALTY_TYPE + '\'' +
                ", CAMPAIGN_ID='" + CAMPAIGN_ID + '\'' +
                ", TRACE_NO='" + TRACE_NO + '\'' +
                ", TXN_DATE='" + TXN_DATE + '\'' +
                ", TXN_TIME='" + TXN_TIME + '\'' +
                ", HOST_REF='" + HOST_REF + '\'' +
                ", COUPON_ID='" + COUPON_ID + '\'' +
                ", AUTH_CODE='" + AUTH_CODE + '\'' +
                ", TENDER=" + TENDER +
                ", AUTH_AMT=" + AUTH_AMT +
                ", DISCOUNT=" + DISCOUNT +
                ", LOCAL_CUR='" + LOCAL_CUR + '\'' +
                ", FOREIGN_CUR='" + FOREIGN_CUR + '\'' +
                ", FXRATE=" + FXRATE +
                ", FOREIGN_AMT=" + FOREIGN_AMT +
                ", MID='" + MID + '\'' +
                ", TID='" + TID + '\'' +
                ", PAN='" + PAN + '\'' +
                ", EXPIRY_DATE='" + EXPIRY_DATE + '\'' +
                '}';
    }
}
